Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.director.incremental
Class IncrementalScoreDirectorFactory

    java.lang.Object
      org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory
          org.optaplanner.core.impl.score.director.incremental.IncrementalScoreDirectorFactory

All Implemented Interfaces:
  InnerScoreDirectorFactory, ScoreDirectorFactory

    public class IncrementalScoreDirectorFactory

extends AbstractScoreDirectorFactory

Incremental implementation of `ScoreDirectorFactory`.

See Also:
  `IncrementalScoreDirector`, `ScoreDirectorFactory`

Field Summary

Fields inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory
`assertionScoreDirectorFactory, initializingScoreTrend, logger, scoreDefinition, solutionDescriptor`

Constructor Summary
`IncrementalScoreDirectorFactory(Class<? extends IncrementalScoreCalculator> incrementalScoreCalculatorClass)`

Method Summary
`IncrementalScoreDirector` | `buildScoreDirector()` Creates a new `ScoreDirector` instance.
`Class<? extends IncrementalScoreCalculator>` | `getIncrementalScoreCalculatorClass()`

Methods inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory
`assertScoreFromScratch, getAssertionScoreDirectorFactory, getInitializingScoreTrend, getScoreDefinition, getSolutionDescriptor, setAssertionScoreDirectorFactory, setInitializingScoreTrend, setScoreDefinition, setSolutionDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncrementalScoreDirectorFactory

    public IncrementalScoreDirectorFactory(Class<? extends IncrementalScoreCalculator> incrementalScoreCalculatorClass)

Method Detail

### getIncrementalScoreCalculatorClass

    public Class<? extends IncrementalScoreCalculator> getIncrementalScoreCalculatorClass()

### buildScoreDirector

    public IncrementalScoreDirector buildScoreDirector()

  Description copied from interface: `ScoreDirectorFactory`
  Creates a new `ScoreDirector` instance.

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.